Subject: RE: membership
From: "Kay Price" <[email-masked]>
To: "'Jim Kirchstein'" <[email-masked]>
Date: Tue, 25 Oct 2011 20:34:28 -0500

I see it.  I wonder why John H. said we should have it on our website??  I
thought it was there and it is.

From: Jim Kirchstein [mailto:[email-masked]] 
Sent: Tuesday, October 25, 2011 7:35 PM
To: Kay Price
Subject: Re: membership

The form is on the pdf file under the membership link.

From: Kay Price <mailto:[email-masked]>  

Sent: Tuesday, October 25, 2011 2:40 PM

To: Jim Kirchstein <mailto:[email-masked]>  

Subject: membership

Jim, do we have anything on our website about how to join the ADS?  If not
can you scan our membership brochure and put that on?  If you don't have one
I will put one in the mail to you.  Thanks.   Kay